%global momorel 6
%global _libexecdir %{_prefix}/lib/X11/fvwm2

Summary: An improved version of the FVWM window manager for X.
Name: fvwm2
Version: 2.4.17
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPL

Source0: ftp://ftp.fvwm.org/pub/fvwm/version-2/fvwm-%{version}.tar.gz
NoSource: 0
Source1: fvwm-2.2.4-icons.tar.gz
Source2: system.fvwm2rc.ja
Source3: session.fvwm2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.fvwm.org/
Obsoletes: fvwm95
Requires: xorg-x11-xinit

BuildPreReq: libICE-devel
BuildPreReq: libSM-devel
BuildPreReq: libX11-devel
BuildPreReq: libXau-devel
BuildPreReq: libXdmcp-devel
BuildPreReq: libXext-devel
BuildPreReq: libXinerama-devel
BuildPreReq: libXpm-devel
BuildPreReq: libtermcap-devel >= 2.0.8-38m
BuildPreReq: libxcb-devel
BuildPreReq: readline-devel >= 5.0

%description
FVWM2 (the F stands for whatever you want, but the VWM stands for
Virtual Window Manager) is an improved version of the FVWM window
manager for the X Window System and shares the same characteristics as
FVWM.  

Install the fvwm2 package if you'd like to use the FVWM2 window manager.
If you install fvwm2, you'll also need to install fvwm2-icons.

%prep
%setup -n fvwm-%{version} -q -a 1

%build
%configure \
	--enable-multibyte \
	--enable-extras \
	--sysconfdir=%{_sysconfdir}/X11/fvwm2 \
	--disable-debug-msgs \
	--with-iconpath=/usr/share/icons:/usr/share/icons/mini:/usr/include/X11/bitmaps:/usr/include/X11/pixmaps
%make 

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot} \
	bindir=%{_bindir} \
	mandir=%{_mandir} \
	sysconfdir=%{buildroot}%{_sysconfdir}/X11/fvwm2 \
	INSTALL_PROGRAM="/usr/bin/install -c -s"

mkdir -p %{buildroot}%{_sysconfdir}/X11/fvwm2
install -m 644 sample.fvwmrc/system.fvwm2rc %{buildroot}%{_sysconfdir}/X11/fvwm2
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/fvwm2

mkdir -p %{buildroot}%{_libexecdir}/icons
install -m 644 fvwm2/*.xpm %{buildroot}%{_libexecdir}/icons

mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/session.d
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/xinit/session.d/fvwm2

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INSTALL.fvwm NEWS README 
%doc docs
%dir %{_sysconfdir}/X11/fvwm2
%config %{_sysconfdir}/X11/fvwm2/*
%config (missingok) %{_sysconfdir}/X11/xinit/session.d/fvwm2
%{_bindir}/*
%{_libexecdir}
%{_datadir}/fvwm
%{_mandir}/*/*

%changeLog
* Fri Jun  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.17-6m)
- fix BPR (BTS186)

* Fri Jul  7 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.4.17-5m)
- rebuild against readline-5.0

* Sun Apr 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.17-4m)
- change Requires: xorg-x11-xinit

* Tue Mar 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.4.17-3m)
- revised installdir

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (2.4.17-2m)
- rebuild against libtermcap-2.0.8-38m.

* Sat Nov 15 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (2.4.17-1m)
- version 2.4.17

* Mon Jun 30 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.4.16-1m)
- version 2.4.16

* Thu Jan 30 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (2.4.15-1m)
- version up

* Sat Nov 30 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.4.14-1m)
- version up

* Sun Nov 23 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (2.4.13-1m)
- vesrion up

* Mon Sep 30 2002 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (2.4.11-1m)
- version up
- add session.fvwm2 file, from "cat" to "END" is removed
- replace /usr/X11R6/man/man1/* with /usr/X11R6/man/*/*

* Wed Mar 13 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.4.6-2k)

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (2.4.2-2k)
- version up.

* Wed Mar 28 2001 AYUHANA Tomonori <l@kondara.org>
- (2.2.5-3k)
- version 2.2.5
- source1 changed fvwm-2.0.46.icons.tar.gz to fvwm-2.2.4-icons.tar.gz
- extract source1 :-P
- patch2 changed fvwm-2.2.4-I18N_MBp2.patch.gz to fvwm-2.2.5-fix.patch.gz
-   (by Shingo YAMAGUCHI <shingo@kip.iis.toyama-u.ac.jp>)
- Patch0: fvwm-2.2.2-redhat.patch removed
- Patch1: fvwm-2.2.4-obsolete.patch removed
- icon moved /usr/share/icons to /usr/X11R6/lib/X11/fvwm2/icons

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.4-17k)
- rebuild against gcc 2.96.

* Wed Nov 22 2000 Kenichi Matsubara <m@kondara.org>
- (2.2.4-12k)
- bugfix specfile typo...... (-"-)

* Mon Oct 23 2000 AYUHANA Tomonori <l@kondara.org>
- (2.2.4-11k)
- remove FvwmButtons-I18N-fix.patch.bz2 (in fvwm-2.2.4-I18N_MBp2.patch.gz)

* Tue Oct 10 2000 AYUHANA Tomonori <l@kondara.org>
- (2.2.4-9k)
- add FvwmButtons-I18N-fix.patch.bz2
- (by Shingo YAMAGUCHI <shingo@kip.iis.toyama-u.ac.jp>)

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Tue May 30 2000 Toru Hoshina <t@kondara.org>
- enable --enable-kanji option.

* Thu Apr 20 2000 Kenichi Matsubara <m@kondara.org>
- remove Require: fvwm2-icons

* Thu Mar  9 2000 Shingo Akagaki <dora@kondara.org>
- merge fvwm2-icons package to main package
- fix %files section

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- removed '-s' flag to the install program - broken on sparc

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- 2.2.4

* Fri Nov 26 1999 Shingo Akagaki <dora@kondara.org>
- add /etc/X11/xinit/session.d/fvwm2 script

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- added ability to read wmconfig generated menu (# 2665)

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- removed compatibility icon pak.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- 2.2.2 bugfix release

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com> 
- added some icons from kdebase back to this package for upgrade
- compatibility.

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- don't require xterm-color

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- better default system.fvwm2rc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- package is still not finished yet
- upgraded to 2.2, got rid of all the cruft in the spec file

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.0.47
- mark config files as %config files

* Mon Jun 29 1998 Michael Maher <mike@redhat.com>
- removed duplicate files found in the package Another level.
- fixes bug: 651 

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- long time no new version released :-(. -> misc patch
- major spec file cleanups

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- Fixed more bugs (bugs patch)

* Fri Oct 24 1997 Cristian Gafton <gafton@redhat.com>
- fixed Alpha build

* Thu Oct 16 1997 Cristian Gafton <gafton@redhat.com>
- fixed FvwmTaskBar severe bug (taskbar patch)
- misc fixes

* Mon Oct 13 1997 Cristian Gafton <gafton@redhat.com>
- built against glibc; added -rh and -fixes patches

